Package com.avaya.clientservices.call.conference

## Enum VideoLayout

- java.lang.Object
- - java.lang.Enum<VideoLayout>
  - - com.avaya.clientservices.call.conference.VideoLayout

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<VideoLayout>`

      public enum VideoLayout
      extends java.lang.Enum<VideoLayout>

  Enumeration of all of the video layouts supported during a conference call. Local user can select from any of these layouts to effect the video image rendered on the client. With the exception of DYNAMIC, the rest of the layout options allow user to specify a fixed layout of the video rendered on the local client. When the layout is set to be dynamic, the conference server updates the layout of the rendered video automatically. The list of actual video layouts available may change dynamically while on a call, dependent on the capabilities of the conferencing system, number of video participants on a call, and whether local user is a lecturer or not. The integers provided with each layout below represents indices of different video windows (a.k.a., sub-frame), as recognized by the conferencing system. These video window ids can be used to pin a participant's video.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `DYNAMIC` | Server automatically determines best layout, and updates the video image accordingly.
    `EIGHT_VIDEO_WINDOWS_OPTION_ONE` | Eight videos, one large landscape next to three smaller videos to the right tiled one on top of the other, and four smaller videos next to each other underneath.
    `EIGHT_VIDEO_WINDOWS_OPTION_TWO` | Eight videos of equal size arranged in two rows of four.
    `FIVE_VIDEO_WINDOWS_OPTION_FOUR_WITH_PRESENTATION` | One large presentation video, four smaller person video tiled vertically to the right of the presentation video.
    `FIVE_VIDEO_WINDOWS_OPTION_ONE` | Five videos in two rows, one large video on top, four smaller ones underneath.
    `FIVE_VIDEO_WINDOWS_OPTION_THREE_WITH_PRESENTATION` | One large presentation video with four smaller person video below.
    `FIVE_VIDEO_WINDOWS_OPTION_TWO` | Five videos, one full screen, four overlaid in the lower center of the screen.
    `FOUR_VIDEO_WINDOWS_OPTION_FOUR` | Four videos, one full screen, three overlaid in the lower center of the screen.
    `FOUR_VIDEO_WINDOWS_OPTION_ONE` | Four landscape videos of equal size, two in the top row, two in the bottom row, full square.
    `FOUR_VIDEO_WINDOWS_OPTION_THREE` | Four videos, one large landscape next to three smaller videos tiled one on top of the other to the right.
    `FOUR_VIDEO_WINDOWS_OPTION_TWO` | Four videos in two rows, one large video on top, three smaller ones underneath.
    `NINE_VIDEO_WINDOWS_OPTION_ONE` | Nine videos of equal size arranged in three rows, three per row.
    `NINE_VIDEO_WINDOWS_OPTION_TWO` | Nine videos, one larger on top and eight smaller ones beneath arranged in two rows of four.
    `NONE` | Video layout setting is not retrieved from the conference server, or the conference server does not support custom video layout setting.
    `ONE_VIDEO_WINDOW_OPTION_ONE` | Single full-screen video.
    `ONE_VIDEO_WINDOW_OPTION_TWO_WITH_PRESENTATION` | Full-screen presentation video.
    `SEVEN_VIDEO_WINDOWS_OPTION_ONE` | Seven videos, one large landscape next to two smaller videos to the right tiled one on top of the other, and four smaller videos next to each other underneath.
    `SEVEN_VIDEO_WINDOWS_OPTION_THREE_WITH_PRESENTATION` | One large presentation video, six smaller person video tiled vertically to the right of the presentation video.
    `SEVEN_VIDEO_WINDOWS_OPTION_TWO_WITH_PRESENTATION` | One large presentation video with six smaller person video below.
    `SIX_VIDEO_WINDOWS_OPTION_ONE` | Six videos, one large landscape next to two smaller videos to the right tiled one on top of the other, and three smaller videos next to each other underneath.
    `SIX_VIDEO_WINDOWS_OPTION_TWO` | Six landscape videos of equal size arranged in two rows.
    `SIXTEEN_VIDEO_WINDOWS_OPTION_ONE` | Sixteen videos of the same size, arranged in four rows of four.
    `TEN_VIDEO_WINDOWS_OPTION_ONE` | Ten videos where the top two quadrants contain two larger videos, while the lower two quadrants have four videos in each.
    `THIRTEEN_VIDEO_WINDOWS_OPTION_ONE` | Thirteen videos where the top left quadrant has a large video, the remaining three quadrants have four videos each.
    `THIRTEEN_VIDEO_WINDOWS_OPTION_TWO` | Thirteen videos, one large video in the center surrounded by twelve smaller equally sized videos around the edge of the screen.
    `THREE_VIDEO_WINDOWS_OPTION_FOUR` | Three videos horizontally positioned in the middle of the available space.
    `THREE_VIDEO_WINDOWS_OPTION_ONE` | Three landscape videos, one above center, two tiled horizontally underneath.
    `THREE_VIDEO_WINDOWS_OPTION_THREE` | Three videos, one full screen, two overlaid in the lower center of the screen.
    `THREE_VIDEO_WINDOWS_OPTION_TWO` | Three videos, one large landscape next to two smaller videos tiled one on top of the other to the right.
    `TWELVE_VIDEO_WINDOWS_OPTION_ONE` | Twelve videos of equal size arranged in three rows, four per row.
    `TWENTY_EIGHT_VIDEO_WINDOWS_OPTION_ONE` | Twenty eight videos, one large video in the top left quadrant, and nine videos in each of the remaining three quadrants.
    `TWENTY_ONE_VIDEO_WINDOWS_OPTION_ONE` | Twenty one videos, one large video in the center surrounded by twenty smaller equally sized videos around the edge of the screen.
    `TWENTY_ONE_VIDEO_WINDOWS_OPTION_TWO` | Twenty one videos, one large video in the top left corner, eight videos to the right, tiled two across, and twelve videos underneath in two rows of six.
    `TWO_VIDEO_WINDOWS_OPTION_FOUR` | Two videos, one full screen, the other a small video overlaid in the lower center of the screen.
    `TWO_VIDEO_WINDOWS_OPTION_ONE` | Two smaller landscape videos tiled next to one another.
    `TWO_VIDEO_WINDOWS_OPTION_THREE` | Two videos next to each other, large one to the left, smaller one to the right.
    `TWO_VIDEO_WINDOWS_OPTION_TWO` | Two smaller landscape videos tiled above one another.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static VideoLayout` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static VideoLayout[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final VideoLayout NONE

      Video layout setting is not retrieved from the conference server, or the conference server does not support custom video layout setting.

    - #### DYNAMIC

          public static final VideoLayout DYNAMIC

      Server automatically determines best layout, and updates the video image accordingly.

    - #### ONE_VIDEO_WINDOW_OPTION_ONE

          public static final VideoLayout ONE_VIDEO_WINDOW_OPTION_ONE

      Single full-screen video.

            __________________
            |                |
            |                |
            |                |
            |       0        |
            |                |
            |                |
            |________________|

    - #### ONE_VIDEO_WINDOW_OPTION_TWO_WITH_PRESENTATION

          public static final VideoLayout ONE_VIDEO_WINDOW_OPTION_TWO_WITH_PRESENTATION

      Full-screen presentation video.

            __________________
            |                |
            |                |
            |       0        |
            |  Presentation  |
            |                |
            |                |
            |________________|

    - #### TWO_VIDEO_WINDOWS_OPTION_ONE

          public static final VideoLayout TWO_VIDEO_WINDOWS_OPTION_ONE

      Two smaller landscape videos tiled next to one another.

            _________________
            |       |       |
            |   0   |  1    |
            |_______|_______|

    - #### TWO_VIDEO_WINDOWS_OPTION_TWO

          public static final VideoLayout TWO_VIDEO_WINDOWS_OPTION_TWO

      Two smaller landscape videos tiled above one another.

            _________
            |       |
            |   0   |
            |_______|
            |       |
            |   1   |
            |_______|

    - #### TWO_VIDEO_WINDOWS_OPTION_THREE

          public static final VideoLayout TWO_VIDEO_WINDOWS_OPTION_THREE

      Two videos next to each other, large one to the left, smaller one to the right.

            ____________
            |          |
            |          |
            |    0     |______
            |          |  1  |
            |__________|_____|

    - #### TWO_VIDEO_WINDOWS_OPTION_FOUR

          public static final VideoLayout TWO_VIDEO_WINDOWS_OPTION_FOUR

      Two videos, one full screen, the other a small video overlaid in the lower center of the screen.

            _________________
            |               |
            |               |
            |       0       |
            |    _______    |
            |    |  1  |    |
            |____|_____|____|

    - #### THREE_VIDEO_WINDOWS_OPTION_ONE

          public static final VideoLayout THREE_VIDEO_WINDOWS_OPTION_ONE

      Three landscape videos, one above center, two tiled horizontally underneath.

               __________
               |        |
               |   0    |
            ___|________|____
            |   1   |   2   |
            |_______|_______|

    - #### THREE_VIDEO_WINDOWS_OPTION_TWO

          public static final VideoLayout THREE_VIDEO_WINDOWS_OPTION_TWO

      Three videos, one large landscape next to two smaller videos tiled one on top of the other to the right.

            _________________
            |         |  1  |
            |    0    |_____|
            |         |  2  |
            |_________|_____|

    - #### THREE_VIDEO_WINDOWS_OPTION_THREE

          public static final VideoLayout THREE_VIDEO_WINDOWS_OPTION_THREE

      Three videos, one full screen, two overlaid in the lower center of the screen.

            _________________
            |               |
            |               |
            |       0       |
            |   _________   |
            |   | 1 | 2 |   |
            |___|___|___|___|

    - #### THREE_VIDEO_WINDOWS_OPTION_FOUR

          public static final VideoLayout THREE_VIDEO_WINDOWS_OPTION_FOUR

      Three videos horizontally positioned in the middle of the available space.

            _________________
            |               |
            |_______________|
            | 0  | 1  |  2  |
            |____|____|_____|
            |               |
            |_______________|

    - #### FOUR_VIDEO_WINDOWS_OPTION_ONE

          public static final VideoLayout FOUR_VIDEO_WINDOWS_OPTION_ONE

      Four landscape videos of equal size, two in the top row, two in the bottom row, full square.

            _________________
            |   0   |   1   |
            |_______|_______|
            |   2   |   3   |
            |_______|_______|

    - #### FOUR_VIDEO_WINDOWS_OPTION_TWO

          public static final VideoLayout FOUR_VIDEO_WINDOWS_OPTION_TWO

      Four videos in two rows, one large video on top, three smaller ones underneath.

               __________
               |   0    |
               |        |
            ___|________|____
            |  1 | 2  |  3  |
            |____|____|_____|

    - #### FOUR_VIDEO_WINDOWS_OPTION_THREE

          public static final VideoLayout FOUR_VIDEO_WINDOWS_OPTION_THREE

      Four videos, one large landscape next to three smaller videos tiled one on top of the other to the right.

            _________________
            |         |  1  |
            |         |_____|
            |    0    |  2  |
            |         |_____|
            |         |  3  |
            |_________|_____|

    - #### FOUR_VIDEO_WINDOWS_OPTION_FOUR

          public static final VideoLayout FOUR_VIDEO_WINDOWS_OPTION_FOUR

      Four videos, one full screen, three overlaid in the lower center of the screen.

            _____________________
            |                   |
            |         0         |
            |                   |
            |   _____________   |
            |   | 1 | 2 | 3 |   |
            |___|___|___|___|___|

    - #### FIVE_VIDEO_WINDOWS_OPTION_ONE

          public static final VideoLayout FIVE_VIDEO_WINDOWS_OPTION_ONE

      Five videos in two rows, one large video on top, four smaller ones underneath.

              _____________
              |           |
              |     0     |
              |           |
            __|___________|__
            | 1 | 2 | 3 | 4 |
            |___|___|___|___|

    - #### FIVE_VIDEO_WINDOWS_OPTION_TWO

          public static final VideoLayout FIVE_VIDEO_WINDOWS_OPTION_TWO

      Five videos, one full screen, four overlaid in the lower center of the screen.

            _________________________
            |                       |
            |           0           |
            |                       |
            |   _________________   |
            |   | 1 | 2 | 3 | 4 |   |
            |___|___|___|___|___|___|

    - #### FIVE_VIDEO_WINDOWS_OPTION_THREE_WITH_PRESENTATION

          public static final VideoLayout FIVE_VIDEO_WINDOWS_OPTION_THREE_WITH_PRESENTATION

      One large presentation video with four smaller person video below.

            _________________
            |               |
            |      0        |
            |  Presentation |
            |_______________|
            | 1 | 2 | 3 | 4 |
            |___|___|___|___|

    - #### FIVE_VIDEO_WINDOWS_OPTION_FOUR_WITH_PRESENTATION

          public static final VideoLayout FIVE_VIDEO_WINDOWS_OPTION_FOUR_WITH_PRESENTATION

      One large presentation video, four smaller person video tiled vertically to the right of the presentation video.

            ______________________
            |                | 1 |
            |                |___|
            |        0       | 2 |
            |  Presentation  |___|
            |                | 3 |
            |                |___|
            |                | 4 |
            |________________|___|

    - #### SIX_VIDEO_WINDOWS_OPTION_ONE

          public static final VideoLayout SIX_VIDEO_WINDOWS_OPTION_ONE

      Six videos, one large landscape next to two smaller videos to the right tiled one on top of the other, and three smaller videos next to each other underneath.

            _________________
            |         |  1  |
            |    0    |_____|
            |         |  2  |
            |_________|_____|
            | 3  | 4  |  5  |
            |____|____|_____|

    - #### SIX_VIDEO_WINDOWS_OPTION_TWO

          public static final VideoLayout SIX_VIDEO_WINDOWS_OPTION_TWO

      Six landscape videos of equal size arranged in two rows.

            _________________
            |    |    |     |
            |  0 |  1 |  2  |
            |____|____|_____|
            |    |    |     |
            |  3 |  4 |  5  |
            |____|____|_____|

    - #### SEVEN_VIDEO_WINDOWS_OPTION_ONE

          public static final VideoLayout SEVEN_VIDEO_WINDOWS_OPTION_ONE

      Seven videos, one large landscape next to two smaller videos to the right tiled one on top of the other, and four smaller videos next to each other underneath.

            _________________
            |         |  1  |
            |    0    |_____|
            |         |  2  |
            |_________|_____|
            | 3 | 4 | 5 | 6 |
            |___|___|___|___|

    - #### SEVEN_VIDEO_WINDOWS_OPTION_TWO_WITH_PRESENTATION

          public static final VideoLayout SEVEN_VIDEO_WINDOWS_OPTION_TWO_WITH_PRESENTATION

      One large presentation video with six smaller person video below.

            _________________________
            |                       |
            |                       |
            |           0           |
            |      Presentation     |
            |                       |
            |_______________________|
            | 1 | 2 | 3 | 4 | 5 | 6 |
            |___|___|___|___|___|___|

    - #### SEVEN_VIDEO_WINDOWS_OPTION_THREE_WITH_PRESENTATION

          public static final VideoLayout SEVEN_VIDEO_WINDOWS_OPTION_THREE_WITH_PRESENTATION

      One large presentation video, six smaller person video tiled vertically to the right of the presentation video.

            _________________________
            |                   | 1 |
            |                   |___|
            |                   | 2 |
            |                   |___|
            |                   | 3 |
            |          0        |___|
            |    Presentation   | 4 |
            |                   |___|
            |                   | 5 |
            |                   |___|
            |                   | 6 |
            |___________________|___|

    - #### EIGHT_VIDEO_WINDOWS_OPTION_ONE

          public static final VideoLayout EIGHT_VIDEO_WINDOWS_OPTION_ONE

      Eight videos, one large landscape next to three smaller videos to the right tiled one on top of the other, and four smaller videos next to each other underneath.

            _________________
            |           | 1 |
            |           |___|
            |     0     | 2 |
            |           |___|
            |           | 3 |
            |___________|___|
            | 4 | 5 | 6 | 7 |
            |___|___|___|___|

    - #### EIGHT_VIDEO_WINDOWS_OPTION_TWO

          public static final VideoLayout EIGHT_VIDEO_WINDOWS_OPTION_TWO

      Eight videos of equal size arranged in two rows of four.

            _____________________
            |    |    |    |    |
            | 0  | 1  | 2  | 3  |
            |____|____|____|____|
            |    |    |    |    |
            | 4  | 5  | 6  | 7  |
            |____|____|____|____|

    - #### NINE_VIDEO_WINDOWS_OPTION_ONE

          public static final VideoLayout NINE_VIDEO_WINDOWS_OPTION_ONE

      Nine videos of equal size arranged in three rows, three per row.

            _____________
            | 0 | 1 | 2 |
            |___|___|___|
            | 3 | 4 | 5 |
            |___|___|___|
            | 6 | 7 | 8 |
            |___|___|___|

    - #### NINE_VIDEO_WINDOWS_OPTION_TWO

          public static final VideoLayout NINE_VIDEO_WINDOWS_OPTION_TWO

      Nine videos, one larger on top and eight smaller ones beneath arranged in two rows of four.

               _________
               |       |
               |   0   |
            ___|_______|_____
            | 1 | 2 | 3 | 4 |
            |___|___|___|___|
            | 5 | 6 | 7 | 8 |
            |___|___|___|___|

    - #### TEN_VIDEO_WINDOWS_OPTION_ONE

          public static final VideoLayout TEN_VIDEO_WINDOWS_OPTION_ONE

      Ten videos where the top two quadrants contain two larger videos, while the lower two quadrants have four videos in each.

            _________________
            |       |       |
            |   0   |   1   |
            |_______|_______|
            | 2 | 3 | 4 | 5 |
            |___|___|___|___|
            | 6 | 7 | 8 | 9 |
            |___|___|___|___|

    - #### TWELVE_VIDEO_WINDOWS_OPTION_ONE

          public static final VideoLayout TWELVE_VIDEO_WINDOWS_OPTION_ONE

      Twelve videos of equal size arranged in three rows, four per row.

            _________________
            | 0 | 1 | 2 | 3 |
            |___|___|___|___|
            | 4 | 5 | 6 | 7 |
            |___|___|___|___|
            | 8 | 9 | 10| 11|
            |___|___|___|___|

    - #### THIRTEEN_VIDEO_WINDOWS_OPTION_ONE

          public static final VideoLayout THIRTEEN_VIDEO_WINDOWS_OPTION_ONE

      Thirteen videos where the top left quadrant has a large video, the remaining three quadrants have four videos each.

            _________________
            |       | 1 | 2 |
            |   0   |___|___|
            |       | 3 | 4 |
            |_______|___|___|
            | 5 | 6 | 7 | 8 |
            |___|___|___|___|
            | 9 | 10| 11| 12|
            |___|___|___|___|

    - #### THIRTEEN_VIDEO_WINDOWS_OPTION_TWO

          public static final VideoLayout THIRTEEN_VIDEO_WINDOWS_OPTION_TWO

      Thirteen videos, one large video in the center surrounded by twelve smaller equally sized videos around the edge of the screen.

            _________________
            | 1 | 2 | 3 | 4 |
            |___|___|___|___|
            | 5 |       | 6 |
            |___|   0   |___|
            | 7 |       | 8 |
            |___|_______|___|
            | 9 | 10| 11| 12|
            |___|___|___|___|

    - #### SIXTEEN_VIDEO_WINDOWS_OPTION_ONE

          public static final VideoLayout SIXTEEN_VIDEO_WINDOWS_OPTION_ONE

      Sixteen videos of the same size, arranged in four rows of four.

            _________________
            | 0 | 1 | 2 | 3 |
            |___|___|___|___|
            | 4 | 5 | 6 | 7 |
            |___|___|___|___|
            | 8 | 9 |10 |11 |
            |___|___|___|___|
            |12 |13 |14 |15 |
            |___|___|___|___|

    - #### TWENTY_ONE_VIDEO_WINDOWS_OPTION_ONE

          public static final VideoLayout TWENTY_ONE_VIDEO_WINDOWS_OPTION_ONE

      Twenty one videos, one large video in the center surrounded by twenty smaller equally sized videos around the edge of the screen.

            ___________________
            |1 |2 |3 |4 |5 |6 |
            |__|__|__|__|__|__|
            |7 |           |8 |
            |__|           |__|
            |9 |           |10|
            |__|     0     |__|
            |11|           |12|
            |__|           |__|
            |13|           |14|
            |__|___________|__|
            |15|16|17|18|19|20|
            |__|__|__|__|__|__|

    - #### TWENTY_ONE_VIDEO_WINDOWS_OPTION_TWO

          public static final VideoLayout TWENTY_ONE_VIDEO_WINDOWS_OPTION_TWO

      Twenty one videos, one large video in the top left corner, eight videos to the right, tiled two across, and twelve videos underneath in two rows of six.

            ___________________
            |         | 1 | 2 |
            |         |___|___|
            |         | 3 | 4 |
            |    0    |___|___|
            |         | 5 | 6 |
            |         |___|___|
            |         | 7 | 8 |
            |_________|___|___|
            | 9|10|11|12|13|14|
            |__|__|__|__|__|__|
            |15|16|17|18|19|20|
            |__|__|__|__|__|__|

    - #### TWENTY_EIGHT_VIDEO_WINDOWS_OPTION_ONE

          public static final VideoLayout TWENTY_EIGHT_VIDEO_WINDOWS_OPTION_ONE

      Twenty eight videos, one large video in the top left quadrant, and nine videos in each of the remaining three quadrants.

            ___________________
            |        |1 |2 |3 |
            |        |__|__|__|
            |   0    |4 |5 |6 |
            |        |__|__|__|
            |        |7 |8 |9 |
            |________|__|__|__|
            |10|11|12|13|14|15|
            |__|__|__|__|__|__|
            |16|17|18|19|20|21|
            |__|__|__|__|__|__|
            |22|23|24|25|26|27|
            |__|__|__|__|__|__|

  - ### Method Detail

    - #### values

          public static VideoLayout[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (VideoLayout c : VideoLayout.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static VideoLayout valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null